Subject: FVWM: move command on gnome panel

From: "Riswick, J.G.A. van" <[email-masked]>
Date: Wed, 31 Oct 2001 16:39:38 +0100

HI

sorry it took me some time before I could try this.
I'm still trying to get the gnome panel to 'move'.
I tried to set VariablePosition. Now, when I invoke
a move command, the panel does indeed move along
with the mouse, however when I release the mouse 
button, the panel warps back to it's original position.
Also, when I try something like 

all (panel) move 0 50p

the panel for a split second moves up the screen, 
and then warps back to the original position again...

jos

On 17 Oct 2001 14:38:04 +0200, Riswick, J.G.A. van wrote:
> 
> Another small question. I'm writing a gnome panel
> applet and I'd like to make it so that a mouse
> click on a part of the applet, causes a 'move' 
> action to be started for the entire panel. So I 
> thought I'd maybe use FvwmCommand to do this. But
> from FvwmConsole
> 
> next (panel,acceptsfocus) move
> 
> doesn't work. I also tried 'panel_resource' instead
> of 'panel'. Any suggestions on how to make this 
> work? 

Unrelated: my panel version has "panel_window" not "panel_resource".

Most of people use "Style panel CirculateSkip", so you should use:

  Next (panel, CirculateHit) Move

This may not do what you want if there are more than one panel (or even if
there are several subpanels). Then this may be used (CirculateHit has no
effect with All):

  All (panel) Move

It took me some time to figure out why this still does not work even if
Iconify instead of Move does work. Panel sets a location hint that FVWM
respects. You should use Style option VariablePosition to ignore it.

  Style panel VariablePosition
  All (panel) Move 0 100p          # return to the bottom: Move 0 -0

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].